Skip to content

Disable Nat ​

4 operations. Call any of them with omada_call_operation (or, in full tool mode, as a tool named by its operationId).

OperationMethodSummary
addDisableNat_1POSTCreate Disable Nat
deleteDisableNat_1DELETEDelete Disable Nat
modifyDisableNatPUTModify Disable Nat
getDisableNatGrid_1GETGet Disable Nat Grid

addDisableNat_1 ​

POST /openapi/v1/{omadacId}/sites/{siteId}/wired-networks/disable-nat

Create Disable Nat

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)

Request body — application/json (required) — schema Disable Nat

FieldTypeRequiredDescription
namestringyesName of the Disable Nat.
statusbooleanyesThe Status of the Disable Nat.
lanListarray<string>yesA list of Lan of the Disable Nat.
descriptionstringnoThe description of the Disable Nat.
interfacestringyesThe wan of the Disable Nat.
json
// omada_call_operation
{
  "operationId": "addDisableNat_1",
  "params": {
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Create Disable Nat.
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
Site Device Manager Modify

deleteDisableNat_1 ​

DELETE /openapi/v1/{omadacId}/sites/{siteId}/wired-networks/disable-nat/{disableNatId}

Delete Disable Nat

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
disableNatIdpathstringyesDisable Nat ID
json
// omada_call_operation
{
  "operationId": "deleteDisableNat_1",
  "params": {
    "siteId": "<siteId>",
    "disableNatId": "<disableNatId>"
  }
}
Details, permissions and error codes

Delete Disable Nat.
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
Site Device Manager Modify

modifyDisableNat ​

PUT /openapi/v1/{omadacId}/sites/{siteId}/wired-networks/disable-nat/{disableNatId}

Modify Disable Nat

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
disableNatIdpathstringyesDisable Nat ID

Request body — application/json (required) — schema Disable Nat

FieldTypeRequiredDescription
namestringyesName of the Disable Nat.
statusbooleanyesThe Status of the Disable Nat.
lanListarray<string>yesA list of Lan of the Disable Nat.
descriptionstringnoThe description of the Disable Nat.
interfacestringyesThe wan of the Disable Nat.
json
// omada_call_operation
{
  "operationId": "modifyDisableNat",
  "params": {
    "siteId": "<siteId>",
    "disableNatId": "<disableNatId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify Disable Nat.
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
Site Device Manager Modify

getDisableNatGrid_1 ​

GET /openapi/v1/{omadacId}/sites/{siteId}/wired-networks/disable-nats

Get Disable Nat Grid

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
pagequeryintegernoStart page number. Start from 1. (default 1)
pageSizequeryintegernoNumber of entries per page. It should be within the range of 1–1000. (default 100)
json
// omada_call_operation
{
  "operationId": "getDisableNatGrid_1",
  "params": {
    "siteId": "<siteId>"
  }
}
Details, permissions and error codes

Get Disable Nat Grid.
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only
Site Device Manager View Only

Released under the MIT License. Not affiliated with or endorsed by TP-Link.